{%- from "manila/map.jinja" import upgrade with context %}

manila_upgrade_upgrade_pre:
  test.show_notification:
     - name: "dump_message_upgrade_manila_pre"
     - text: "Running manila.upgrade.upgrade.pre"

{% set host_id = salt['network.get_hostname']() %}

{%- if pillar.manila.scheduler is defined %}
  {%- if upgrade.get('manage_service_maintenance', true) %}

# It turns off every manila-scheduler instances on the host.
manila_controller_service_disabled:
  manilang.service_disabled:
  - binary: manila-scheduler
  - cloud_name: admin_identity
  - name: {{ host_id }}
  - microversion: '2.40'

  {%- endif %}
{%- endif %}

{%- if pillar.manila.share is defined %}
  {%- if upgrade.get('manage_service_maintenance', true) %}

# It turns off every manila-share instances on the host.
manila_share_service_disabled:
  manilang.service_disabled:
  - binary: manila-share
  - cloud_name: admin_identity
  - name: {{ host_id }}
  - microversion: '2.40'

  {%- endif %}
{%- endif %}
